import "./polyfill/promise";
export declare type AnimationOptions = {
    easing?: string | ((progress: number) => number);
    stopPrevious?: boolean;
    duration?: number;
};
export declare type AnimationDirector = Promise<any> & {
    stop: () => void;
};
export declare const EASE_LINEAR: (t: number) => number;
export declare const EASE_IN_QUAD: (t: number) => number;
export declare const EASE_OUT_QUAD: (t: number) => number;
export declare const EASE_IN_OUT_QUAD: (t: number) => number;
export declare const EASE_IN_CUBIC: (t: number) => number;
export declare const EASE_OUT_CUBIC: (t: number) => number;
export declare const EASE_IN_OUT_CUBIC: (t: number) => number;
export declare const EASE_IN_QUART: (t: number) => number;
export declare const EASE_OUT_QUART: (t: number) => number;
export declare const EASE_IN_OUT_QUART: (t: number) => number;
export declare const EASE_IN_QUINT: (t: number) => number;
export declare const EASE_OUT_QUINT: (t: number) => number;
export declare const EASE_IN_OUT_QUINT: (t: number) => number;
export declare function animate(element: HTMLElement, properties: {
    [key: string]: any;
}, options?: AnimationOptions): AnimationDirector;
export declare function animateCallback(callback: (progress: number) => void, options?: AnimationOptions): AnimationDirector;
export declare function stopAnimation(element: HTMLElement): void;
