const SPECIAL_ATTRIBUTE_SETTERS = /^(html|text|css)$/;
export function setAttrs(element, attributes) {
    for (const key in attributes) {
        const value = attributes[key];
        if (SPECIAL_ATTRIBUTE_SETTERS.test(key)) {
            continue;
        }
        if (value === null || value === false) {
            element.removeAttribute(key);
        }
        else {
            if (element[key] !== undefined) {
                element[key] = value;
                continue;
            }
            element.setAttribute(key, (value === true) ? key : ("" + value));
        }
    }
}
