export function wireSourceTargetLists(sources, targets, dataKey) {
    let targetMap = {};
    let map = new WeakMap();
    targets.forEach(target => {
        let key = target.dataset[dataKey];
        if (key) {
            targetMap[key] = target;
        }
    });
    sources.forEach(source => {
        let key = source.dataset[dataKey];
        if (!key) {
            return;
        }
        let target = targetMap[key];
        if (target) {
            map.set(source, target);
        }
    });
    return map;
}
