export function initFromGlobalData(key, initializable) {
    let global = window;
    let init = global[key];
    if (!init || !init.data || !init.init) {
        if (init) {
            console.error(`Can't initialize on key ${key}, as the structure is invalid.`);
        }
        return initializable;
    }
    let previous = init.init.bind(global);
    init.init = (data) => {
        previous(data);
        initializable.init(data);
    };
    initializable.init(init.data);
    return initializable;
}
