import { safeParseJson } from "../json";
const storage = window.localStorage;
export function persistedToggle(key, callback, defaultValue = false) {
    let stored = storage.getItem(key);
    let value = null != stored
        ? "yes" === stored
        : defaultValue;
    callback(value);
    return (explicit) => {
        let newValue = (typeof explicit === "boolean")
            ? explicit
            : !value;
        if (newValue !== value) {
            value = newValue;
            storage.setItem(key, value ? "yes" : "no");
            callback(value);
        }
    };
}
export function storeInLocalStorage(key, value) {
    storage.setItem(key, JSON.stringify(value));
}
export function fetchFromLocalStorage(key) {
    return safeParseJson(storage.getItem(key));
}
