export interface SortableConfig {
    items: string;
    enabled?: boolean;
    handle?: string;
}
export interface SortableResult {
    item: HTMLElement;
    before: HTMLElement | null;
}
export interface SortableOnChangedData {
    items: HTMLElement[];
    result: SortableResult;
}
declare type SortableEvents = "start" | "end" | "changed";
export default class Sortable {
    private readonly container;
    private readonly config;
    private interaction;
    private readonly emitter;
    private listeners;
    private delegateHandler;
    constructor(container: HTMLElement, config: SortableConfig);
    init(): void;
    private onInteractionStart;
    private onDragMove;
    private onDragEnd;
    private onMouseOut;
    private onScroll;
    on(event: SortableEvents, callback: (...args: any[]) => void): void;
    destroy(): void;
}
export {};
