import "../../polyfill/promise";
import { SortableResult } from "../Sortable";
export declare type SortableInteractionItem = {
    element: HTMLElement;
    rect: ClientRect;
    top: number;
    bottom: number;
    left: number;
    isMoved: boolean;
    shouldBeMoved: boolean;
    initialPosition: number;
    displacedPosition: number;
};
export default class SortableInteraction {
    private readonly container;
    private readonly draggedItem;
    private readonly itemSelector;
    private readonly draggedRect;
    private readonly allItems;
    private readonly draggedIndex;
    private readonly containedIFrames;
    private ghostHandler;
    private itemDragOffset;
    private hasMovedBefore;
    private readonly startScrollPosition;
    private readonly itemsBefore;
    private readonly itemsAfter;
    constructor(container: HTMLElement, draggedItem: HTMLElement, itemSelector: string, interactionX: number, interactionY: number);
    calculateDisplacement(): number;
    private prepareItem;
    private calculateOffsets;
    start(): void;
    onMove(x: number, y: number): void;
    findIntersection(centerLeft: number, centerTop: number): [SortableInteractionItem[], number | null];
    activateList(activeList: SortableInteractionItem[], activeIndex: number | null): void;
    onScroll(): void;
    private updateMovementOfItems;
    drop(x: number, y: number): Promise<SortableResult | undefined>;
    abort(): Promise<any>;
    private resetStyles;
    orderHasChanged(): boolean;
}
