export function extractTextFromComponentChildren(value) {
    if (!value) {
        return "";
    }
    if (typeof value == "string" || typeof value == "number") {
        return "" + value;
    }
    if (Array.isArray(value)) {
        return value.map(nested => extractTextFromComponentChildren(nested))
            .join("");
    }
    else if (value.type && value.props && value.props.children) {
        return extractTextFromComponentChildren(value.props.children);
    }
    return "";
}
export function calculateToastDuration(message, action) {
    let duration = 5000;
    const text = extractTextFromComponentChildren(message);
    if (text) {
        duration = text.length * 80;
    }
    if (action) {
        duration += 3000;
    }
    return Math.max(5000, Math.min(15000, duration));
}
