export declare type RouteParams<TParams = Record<string, any>> = TParams;
export declare type RouteHandler<TParams = Record<string, any>> = (params: RouteParams<TParams>) => void;
declare type RouteParamNormalizers<TRouteParams> = {
    [TKey in keyof TRouteParams]: ParameterNormalizer<TRouteParams[TKey]>;
};
export declare type ParameterNormalizer<Target> = (value: any) => Target;
export declare class LocalRouter {
    private collection;
    private useUrl;
    constructor(updateUrl?: boolean);
    on<TRouteParams>(name: string, handler: RouteHandler<TRouteParams>, normalizers: RouteParamNormalizers<TRouteParams>): this;
    init(fallbackRoute: string, fallbackParams?: RouteParams): void;
    navigate(route: string, params?: RouteParams): void;
    private match;
}
export {};
